## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate primal

Name:           rust-primal
Version:        0.3.2
Release:        %autorelease
Summary:        `primal` puts raw power into prime numbers

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/primal
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
Patch:          primal-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
`primal` puts raw power into prime numbers. This crates includes: optimised
prime sieves, checking for primality, enumerating primes, factorising numbers,
and state-of-the-art estimation of upper and lower bounds for π(n) (the number
of primes below n) and p_k (the k-th prime).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 04 2023 Orion Poplawski <orion@nwra.com> - 0.3.2-1
- Update to 0.3.2 - fixes 32-bit test

* Thu Nov 10 2022 Orion Poplawski <orion@nwra.com> - 0.3.1-3
- cargo_check -> cargo_test

* Thu Nov 10 2022 Orion Poplawski <orion@nwra.com> - 0.3.1-2
- Disable failing test on 32-bit

* Wed Nov 09 2022 Orion Poplawski <orion@nwra.com> - 0.3.1-1
- Initial import
## END: Generated by rpmautospec
